AStyle(3)

NAME
AStyle - The AStyle class encapsulates style and stylesheet logic.

SYNOPSIS

#include <astyle.h>

  Static Public Member Functions
static void setup ()
Setup Application style by reading from openPilotLog.ini.
static void setStyle (const QString &style_key)
static void setStyle (const StyleSheet &style_sheet)
static void setStyle (const QPalette &palette)
static QPalette darkPalette ()
static const QString & style ()
static void loadStylesComboBox (QComboBox *combo_box)

  Static Public Attributes
static const QStringList styles = QStyleFactory::keys()
static const QString defaultStyle = QLatin1String('Fusion')
static const QList< StyleSheet > styleSheets

Detailed Description

The AStyle class encapsulates style and stylesheet logic.

Member Data Documentation

  const QList< StyleSheet > AStyle::styleSheets [static]
Initial value:

= {
    {QLatin1String("Breeze"),      QLatin1String(":breeze_light.qss")},
    {QLatin1String("Breeze-Dark"), QLatin1String(":breeze_dark.qss")},
    {QLatin1String("QDarkStyle"),  QLatin1String(":qdarkstyle/qdarkstyle.qss")},
}

Author

Generated automatically by Doxygen for openPilotLog from the source code.